#!/usr/bin/env python
# -*- coding: utf-8 -*-

from web.dao.public_sentiment_comment_dao import PublicSentimentCommentDao
from web.dao.training_sensitive_word_dao import TrainingSensitiveWordDao


class BaseService:
    """
    service层的基类
    """

    def __init__(self):
        self.public_sentiment_comment_dao = PublicSentimentCommentDao()
        self.training_sensitive_word_dao = TrainingSensitiveWordDao()
