#!/usr/bin/env python
# -*- coding: utf-8 -*-

from django.db import models


class TrainingSensitiveWord(models.Model):
    """
    敏感词表
    """

    # 主键
    id = models.AutoField(primary_key=True)

    # 类型
    type = models.CharField(max_length=255, null=True, blank=True)

    # 敏感词
    word = models.CharField(max_length=255, null=True, blank=True)

    class Meta:
        managed = True
        db_table = 'training_sensitive_word'
        verbose_name = '敏感词表'
        verbose_name_plural = verbose_name
