#!/usr/bin/env python
# -*- coding: utf-8 -*-

from web.manager.log_manager import LogManager
from web.task.base_task import BaseTask

Logger = LogManager.get_logger(__name__)

"""
添加注释
"""


class CrawlDataTask(BaseTask):

    def collect_data_from_weibo(self):
        """
        从新浪微博采集数据
        """

        Logger.info("开始从新浪微博采集数据")

        self.crawl_data_handler.collect_data_from_weibo()
